package com.ibiz.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.client.model.IOrg;
import com.ibiz.util.SearchContext;

/**
 * 实体[Org] 服务对象接口
 */
public interface IOrgClientService{

    public IOrg createModel() ;

    public void getDraft(IOrg org);

    public void getOrgPrent(IOrg org);

    public void remove(IOrg org);

    public void update(IOrg org);

    public void get(IOrg org);

    public void create(IOrg org);

    public void save(IOrg org);

    public void syncToUserGroup(IOrg org);

    public void checkKey(IOrg org);

    public void getOrgChild(IOrg org);

    public Page<IOrg> fetchDefault(SearchContext context);

}
